| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Lib::BoundingBoxDtoBase< BoxType > Class Template Reference

Base class for various DTO (Data Transfer Objects) for bounding boxes. Used to store a state of a bounding box. More...

Inheritance diagram for IG::Lib::BoundingBoxDtoBase< BoxType >:
[legend]
Collaboration diagram for IG::Lib::BoundingBoxDtoBase< BoxType >:
[legend]

List of all members.

## Public Member Functions
| BoundingBoxDtoBase ()
| Default constructor, sets IsNull to true.
| BoundingBoxDtoBase (int dimension)
| Constructor, prepares the current DTO for storing a vector of the specified dimension.
abstract BoxType | CreateBoundingBox (int dimension)
| Creates and returns a new bounding box of the specified dimension.
override BoxType | CreateObject ()
| Creates and returns a new bounding box of the specified type and dimension.
## Public Attributes
int | Dimension
| Dimension of the bounding box.
double[] | Min = null
| Minimal values of coordinates.
double[] | Max = null
| Maximal values of coordinates.
## Protected Member Functions
override void | CopyFromPlain (IBoundingBox box)
| Copies data to the current DTO from a bounding box object.
override void | CopyToPlain (ref IBoundingBox box)
| Copies data from the current DTO to a bounding box object.

## Detailed Description

### template<BoxType>
class IG::Lib::BoundingBoxDtoBase< BoxType >

Base class for various DTO (Data Transfer Objects) for bounding boxes. Used to store a state of a bounding box.

Template Parameters:

  BoxType | Type parameter specifying the specific bounding box type for which concrete DTO is designed.

$A Igor Jun09;

Type Constraints

  BoxType | : | class |
  BoxType | : | IBoundingBox |

## Member Function Documentation

template<BoxType >

IG::Lib::BoundingBoxDtoBase< BoxType >::BoundingBoxDtoBase | ( |  | ) | `[inline]`

Default constructor, sets IsNull to true.

template<BoxType >

IG::Lib::BoundingBoxDtoBase< BoxType >::BoundingBoxDtoBase | ( | int | dimension | ) | `[inline]`

Constructor, prepares the current DTO for storing a vector of the specified dimension.

Parameters:

  dimension | Dimension of a vector that is stored in the current DTO.

template<BoxType >

abstract BoxType IG::Lib::BoundingBoxDtoBase< BoxType >::CreateBoundingBox | ( | int | dimension | ) | `[pure virtual]`

Creates and returns a new bounding box of the specified dimension.

Parameters:

  dimension | Bounding box dimension.

template<BoxType >

override BoxType IG::Lib::BoundingBoxDtoBase< BoxType >::CreateObject | ( |  | ) | `[inline, virtual]`

Creates and returns a new bounding box of the specified type and dimension.

Implements IG::Lib::SerializationDtoBase< Type, BaseType >.

template<BoxType >

override void IG::Lib::BoundingBoxDtoBase< BoxType >::CopyFromPlain | ( | IBoundingBox | box | ) | `[inline, protected]`

Copies data to the current DTO from a bounding box object.

Parameters:

  box | Bounding box object from which data is copied.

template<BoxType >

override void IG::Lib::BoundingBoxDtoBase< BoxType >::CopyToPlain | ( | ref IBoundingBox | box | ) | `[inline, protected]`

Copies data from the current DTO to a bounding box object.

Parameters:

  box | Bounding box object that data is copied to.

## Member Data Documentation

template<BoxType >

int IG::Lib::BoundingBoxDtoBase< BoxType >::Dimension

Dimension of the bounding box.

template<BoxType >

double [] IG::Lib::BoundingBoxDtoBase< BoxType >::Min = null

Minimal values of coordinates.

template<BoxType >

double [] IG::Lib::BoundingBoxDtoBase< BoxType >::Max = null

Maximal values of coordinates.

The documentation for this class was generated from the following file:

- BoundingBoxDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events